Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs	(revision 51)
@@ -0,0 +1,320 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 業者請求支払サマリーデータアクセスクラス
+    /// </summary>
+    public class IOBillingPaymentSummary : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// フィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            CompanyCode = 0,
+            TargetDate,
+            ChargePaymentKind,
+            Payday,
+            BillPriceStotal,
+            ConsumptionTaxRate,
+            ConsumptionTaxPrice,
+            HighwPriceStotal,
+            HardwPriceStotal,
+            IndsWasteTaxStotal,
+            CnstrPriceRate,
+            CnstrPriceStotal,
+            BillingPriceTotal,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOBillingPaymentSummary()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region パブリックメソッド
+        /// <summary>
+        /// 検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<BillingPaymentSummary> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT";
+                strcmd += " CompanyCode,TargetDate,ChargePaymentKind,DATE_FORMAT(Payday, '%Y/%m/%d'),BillPriceStotal,ConsumptionTaxRate,ConsumptionTaxPrice,HighwPriceStotal,HardwPriceStotal,IndsWasteTaxStotal,CnstrPriceRate,CnstrPriceStotal,BillingPriceTotal";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " FROM BillingPaymentSummary";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    BillingPaymentSummary work = new BillingPaymentSummary();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+
+        /// <summary>
+        /// 新規登録
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(List<BillingPaymentSummary> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (BillingPaymentSummary work in data)
+                {
+                    strcmd = "INSERT INTO BillingPaymentSummary";
+
+                    strcmd += " VALUES (";
+
+                    strcmd += string.Format("  {0}", work.CompanyCode.ToString());
+                    strcmd += string.Format(", {0}", work.TargetDate.ToString());
+                    strcmd += string.Format(", {0}", work.ChargePaymentKind.ToString());
+                    strcmd += string.Format(", DATE_FORMAT(DATE_FORMAT('{0}','%Y/%m/%d'),'%Y/%m/%d')", work.Payday.ToString());
+                    strcmd += string.Format(", {0}", work.BillPriceStotal.ToString());
+                    strcmd += string.Format(", {0}", work.ConsumptionTaxRate.ToString());
+                    strcmd += string.Format(", {0}", work.ConsumptionTaxPrice.ToString());
+                    strcmd += string.Format(", {0}", work.HighwPriceStotal.ToString());
+                    strcmd += string.Format(", {0}", work.HardwPriceStotal.ToString());
+                    strcmd += string.Format(", {0}", work.IndsWasteTaxStotal.ToString());
+                    strcmd += string.Format(", {0}", work.CnstrPriceRate.ToString());
+                    strcmd += string.Format(", {0}", work.CnstrPriceStotal.ToString());
+                    strcmd += string.Format(", {0}", work.BillingPriceTotal.ToString());
+
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd = strcmd + ")";
+
+                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 更新登録
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateAction(string AddSQLString, BillingPaymentSummary data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE BillingPaymentSummary";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" Payday = DATE_FORMAT(DATE_FORMAT('{0}','%Y/%m/%d'),'%Y/%m/%d')", data.Payday.ToString());
+                strcmd += string.Format(",BillPriceStotal = {0}", data.BillPriceStotal.ToString());
+
+                strcmd += string.Format(",ConsumptionTaxRate = {0}", data.ConsumptionTaxRate.ToString());
+                strcmd += string.Format(",ConsumptionTaxPrice = {0}", data.ConsumptionTaxPrice.ToString());
+                strcmd += string.Format(",HighwPriceStotal = {0}", data.HighwPriceStotal.ToString());
+                strcmd += string.Format(",HardwPriceStotal = {0}", data.HardwPriceStotal.ToString());
+                strcmd += string.Format(",IndsWasteTaxStotal = {0}", data.IndsWasteTaxStotal.ToString());
+
+                strcmd += string.Format(",CnstrPriceRate = {0}", data.CnstrPriceRate.ToString());
+                strcmd += string.Format(",CnstrPriceStotal = {0}", data.CnstrPriceStotal.ToString());
+                strcmd += string.Format(",BillingPriceTotal = {0}", data.BillingPriceTotal.ToString());
+
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 削除
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM BillingPaymentSummary", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 構造体設定
+        /// </summary>
+        /// <param name="objwrk"></param>
+        /// <param name="wrk"></param>
+        public void Reader2Struct(object[] objwrk, ref BillingPaymentSummary wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.CompanyCode = int.Parse(objwrk[(int)NameColumn.CompanyCode].ToString());
+                wrk.TargetDate = int.Parse(objwrk[(int)NameColumn.TargetDate].ToString());
+                wrk.ChargePaymentKind = int.Parse(objwrk[(int)NameColumn.ChargePaymentKind].ToString());
+                wrk.Payday = DateTime.Parse(objwrk[(int)NameColumn.Payday].ToString());
+                wrk.BillingPriceTotal = long.Parse(objwrk[(int)NameColumn.BillingPriceTotal].ToString());
+
+                wrk.ConsumptionTaxRate = double.Parse(objwrk[(int)NameColumn.ConsumptionTaxRate].ToString());
+                wrk.ConsumptionTaxPrice = long.Parse(objwrk[(int)NameColumn.ConsumptionTaxPrice].ToString());
+
+
+                wrk.HighwPriceStotal = long.Parse(objwrk[(int)NameColumn.HighwPriceStotal].ToString());
+                wrk.HardwPriceStotal = long.Parse(objwrk[(int)NameColumn.HardwPriceStotal].ToString());
+                wrk.IndsWasteTaxStotal = long.Parse(objwrk[(int)NameColumn.IndsWasteTaxStotal].ToString());
+                wrk.CnstrPriceRate = double.Parse(objwrk[(int)NameColumn.CnstrPriceRate].ToString());
+                wrk.CnstrPriceStotal = long.Parse(objwrk[(int)NameColumn.HighwPriceStotal].ToString());
+
+                wrk.BillingPriceTotal = long.Parse(objwrk[(int)NameColumn.BillingPriceTotal].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException oraex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region パブリックメソッド（特殊処理）
+
+        /// <summary>
+        /// 行ロック
+        /// </summary>
+        /// <param name="MaterialItemCode"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool RowLock(int CompanyCode, int TargetDate, int ChargePaymentKind, bool bConnect = true)
+        {
+
+            //インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = string.Format("select * from BillingPaymentSummary where CompanyCode = {0} and TargetDate = {1} and ChargePaymentKind = {2} for update;",
+                                        CompanyCode, TargetDate, ChargePaymentKind);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+
+        }
+
+        public string CreatePrimarykeyString(int CompanyCode, int TargetDate, int ChargePaymentKind)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where CompanyCode = {0} and TargetDate = {1} and ChargePaymentKind = {2}", CompanyCode, TargetDate, ChargePaymentKind);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+
+        #endregion
+    }
+}
